// Code generated by protoc-gen-go. DO NOT EDIT.
// source: github.com/golang/protobuf/protoc-gen-go/descriptor/descriptor.proto

package descriptor

import (
	protoreflect "github.com/golang/protobuf/v2/reflect/protoreflect"
	protoregistry "github.com/golang/protobuf/v2/reflect/protoregistry"
	protoimpl "github.com/golang/protobuf/v2/runtime/protoimpl"
	descriptor "github.com/golang/protobuf/v2/types/descriptor"
	sync "sync"
)

const _ = protoimpl.EnforceVersion(protoimpl.Version - 0)

// Symbols defined in public import of google/protobuf/descriptor.proto

type FieldDescriptorProto_Type = descriptor.FieldDescriptorProto_Type

const FieldDescriptorProto_TYPE_DOUBLE = descriptor.FieldDescriptorProto_TYPE_DOUBLE
const FieldDescriptorProto_TYPE_FLOAT = descriptor.FieldDescriptorProto_TYPE_FLOAT
const FieldDescriptorProto_TYPE_INT64 = descriptor.FieldDescriptorProto_TYPE_INT64
const FieldDescriptorProto_TYPE_UINT64 = descriptor.FieldDescriptorProto_TYPE_UINT64
const FieldDescriptorProto_TYPE_INT32 = descriptor.FieldDescriptorProto_TYPE_INT32
const FieldDescriptorProto_TYPE_FIXED64 = descriptor.FieldDescriptorProto_TYPE_FIXED64
const FieldDescriptorProto_TYPE_FIXED32 = descriptor.FieldDescriptorProto_TYPE_FIXED32
const FieldDescriptorProto_TYPE_BOOL = descriptor.FieldDescriptorProto_TYPE_BOOL
const FieldDescriptorProto_TYPE_STRING = descriptor.FieldDescriptorProto_TYPE_STRING
const FieldDescriptorProto_TYPE_GROUP = descriptor.FieldDescriptorProto_TYPE_GROUP
const FieldDescriptorProto_TYPE_MESSAGE = descriptor.FieldDescriptorProto_TYPE_MESSAGE
const FieldDescriptorProto_TYPE_BYTES = descriptor.FieldDescriptorProto_TYPE_BYTES
const FieldDescriptorProto_TYPE_UINT32 = descriptor.FieldDescriptorProto_TYPE_UINT32
const FieldDescriptorProto_TYPE_ENUM = descriptor.FieldDescriptorProto_TYPE_ENUM
const FieldDescriptorProto_TYPE_SFIXED32 = descriptor.FieldDescriptorProto_TYPE_SFIXED32
const FieldDescriptorProto_TYPE_SFIXED64 = descriptor.FieldDescriptorProto_TYPE_SFIXED64
const FieldDescriptorProto_TYPE_SINT32 = descriptor.FieldDescriptorProto_TYPE_SINT32
const FieldDescriptorProto_TYPE_SINT64 = descriptor.FieldDescriptorProto_TYPE_SINT64

var FieldDescriptorProto_Type_name = descriptor.FieldDescriptorProto_Type_name
var FieldDescriptorProto_Type_value = descriptor.FieldDescriptorProto_Type_value

type FieldDescriptorProto_Label = descriptor.FieldDescriptorProto_Label

const FieldDescriptorProto_LABEL_OPTIONAL = descriptor.FieldDescriptorProto_LABEL_OPTIONAL
const FieldDescriptorProto_LABEL_REQUIRED = descriptor.FieldDescriptorProto_LABEL_REQUIRED
const FieldDescriptorProto_LABEL_REPEATED = descriptor.FieldDescriptorProto_LABEL_REPEATED

var FieldDescriptorProto_Label_name = descriptor.FieldDescriptorProto_Label_name
var FieldDescriptorProto_Label_value = descriptor.FieldDescriptorProto_Label_value

type FileOptions_OptimizeMode = descriptor.FileOptions_OptimizeMode

const FileOptions_SPEED = descriptor.FileOptions_SPEED
const FileOptions_CODE_SIZE = descriptor.FileOptions_CODE_SIZE
const FileOptions_LITE_RUNTIME = descriptor.FileOptions_LITE_RUNTIME

var FileOptions_OptimizeMode_name = descriptor.FileOptions_OptimizeMode_name
var FileOptions_OptimizeMode_value = descriptor.FileOptions_OptimizeMode_value

type FieldOptions_CType = descriptor.FieldOptions_CType

const FieldOptions_STRING = descriptor.FieldOptions_STRING
const FieldOptions_CORD = descriptor.FieldOptions_CORD
const FieldOptions_STRING_PIECE = descriptor.FieldOptions_STRING_PIECE

var FieldOptions_CType_name = descriptor.FieldOptions_CType_name
var FieldOptions_CType_value = descriptor.FieldOptions_CType_value

type FieldOptions_JSType = descriptor.FieldOptions_JSType

const FieldOptions_JS_NORMAL = descriptor.FieldOptions_JS_NORMAL
const FieldOptions_JS_STRING = descriptor.FieldOptions_JS_STRING
const FieldOptions_JS_NUMBER = descriptor.FieldOptions_JS_NUMBER

var FieldOptions_JSType_name = descriptor.FieldOptions_JSType_name
var FieldOptions_JSType_value = descriptor.FieldOptions_JSType_value

type MethodOptions_IdempotencyLevel = descriptor.MethodOptions_IdempotencyLevel

const MethodOptions_IDEMPOTENCY_UNKNOWN = descriptor.MethodOptions_IDEMPOTENCY_UNKNOWN
const MethodOptions_NO_SIDE_EFFECTS = descriptor.MethodOptions_NO_SIDE_EFFECTS
const MethodOptions_IDEMPOTENT = descriptor.MethodOptions_IDEMPOTENT

var MethodOptions_IdempotencyLevel_name = descriptor.MethodOptions_IdempotencyLevel_name
var MethodOptions_IdempotencyLevel_value = descriptor.MethodOptions_IdempotencyLevel_value

type FileDescriptorSet = descriptor.FileDescriptorSet
type FileDescriptorProto = descriptor.FileDescriptorProto
type DescriptorProto = descriptor.DescriptorProto
type ExtensionRangeOptions = descriptor.ExtensionRangeOptions
type FieldDescriptorProto = descriptor.FieldDescriptorProto
type OneofDescriptorProto = descriptor.OneofDescriptorProto
type EnumDescriptorProto = descriptor.EnumDescriptorProto
type EnumValueDescriptorProto = descriptor.EnumValueDescriptorProto
type ServiceDescriptorProto = descriptor.ServiceDescriptorProto
type MethodDescriptorProto = descriptor.MethodDescriptorProto

const Default_MethodDescriptorProto_ClientStreaming = descriptor.Default_MethodDescriptorProto_ClientStreaming
const Default_MethodDescriptorProto_ServerStreaming = descriptor.Default_MethodDescriptorProto_ServerStreaming

type FileOptions = descriptor.FileOptions

const Default_FileOptions_JavaMultipleFiles = descriptor.Default_FileOptions_JavaMultipleFiles
const Default_FileOptions_JavaStringCheckUtf8 = descriptor.Default_FileOptions_JavaStringCheckUtf8
const Default_FileOptions_OptimizeFor = descriptor.Default_FileOptions_OptimizeFor
const Default_FileOptions_CcGenericServices = descriptor.Default_FileOptions_CcGenericServices
const Default_FileOptions_JavaGenericServices = descriptor.Default_FileOptions_JavaGenericServices
const Default_FileOptions_PyGenericServices = descriptor.Default_FileOptions_PyGenericServices
const Default_FileOptions_PhpGenericServices = descriptor.Default_FileOptions_PhpGenericServices
const Default_FileOptions_Deprecated = descriptor.Default_FileOptions_Deprecated
const Default_FileOptions_CcEnableArenas = descriptor.Default_FileOptions_CcEnableArenas

type MessageOptions = descriptor.MessageOptions

const Default_MessageOptions_MessageSetWireFormat = descriptor.Default_MessageOptions_MessageSetWireFormat
const Default_MessageOptions_NoStandardDescriptorAccessor = descriptor.Default_MessageOptions_NoStandardDescriptorAccessor
const Default_MessageOptions_Deprecated = descriptor.Default_MessageOptions_Deprecated

type FieldOptions = descriptor.FieldOptions

const Default_FieldOptions_Ctype = descriptor.Default_FieldOptions_Ctype
const Default_FieldOptions_Jstype = descriptor.Default_FieldOptions_Jstype
const Default_FieldOptions_Lazy = descriptor.Default_FieldOptions_Lazy
const Default_FieldOptions_Deprecated = descriptor.Default_FieldOptions_Deprecated
const Default_FieldOptions_Weak = descriptor.Default_FieldOptions_Weak

type OneofOptions = descriptor.OneofOptions
type EnumOptions = descriptor.EnumOptions

const Default_EnumOptions_Deprecated = descriptor.Default_EnumOptions_Deprecated

type EnumValueOptions = descriptor.EnumValueOptions

const Default_EnumValueOptions_Deprecated = descriptor.Default_EnumValueOptions_Deprecated

type ServiceOptions = descriptor.ServiceOptions

const Default_ServiceOptions_Deprecated = descriptor.Default_ServiceOptions_Deprecated

type MethodOptions = descriptor.MethodOptions

const Default_MethodOptions_Deprecated = descriptor.Default_MethodOptions_Deprecated
const Default_MethodOptions_IdempotencyLevel = descriptor.Default_MethodOptions_IdempotencyLevel

type UninterpretedOption = descriptor.UninterpretedOption
type SourceCodeInfo = descriptor.SourceCodeInfo
type GeneratedCodeInfo = descriptor.GeneratedCodeInfo
type DescriptorProto_ExtensionRange = descriptor.DescriptorProto_ExtensionRange
type DescriptorProto_ReservedRange = descriptor.DescriptorProto_ReservedRange
type EnumDescriptorProto_EnumReservedRange = descriptor.EnumDescriptorProto_EnumReservedRange
type UninterpretedOption_NamePart = descriptor.UninterpretedOption_NamePart
type SourceCodeInfo_Location = descriptor.SourceCodeInfo_Location
type GeneratedCodeInfo_Annotation = descriptor.GeneratedCodeInfo_Annotation

var File_github_com_golang_protobuf_protoc_gen_go_descriptor_descriptor_proto protoreflect.FileDescriptor

var xxx_File_github_com_golang_protobuf_protoc_gen_go_descriptor_descriptor_proto_rawDesc = []byte{
	0x0a, 0x44, 0x67, 0x69, 0x74, 0x68, 0x75, 0x62, 0x2e, 0x63, 0x6f, 0x6d, 0x2f, 0x67, 0x6f, 0x6c,
	0x61, 0x6e, 0x67, 0x2f, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2f, 0x70, 0x72, 0x6f,
	0x74, 0x6f, 0x63, 0x2d, 0x67, 0x65, 0x6e, 0x2d, 0x67, 0x6f, 0x2f, 0x64, 0x65, 0x73, 0x63, 0x72,
	0x69, 0x70, 0x74, 0x6f, 0x72, 0x2f, 0x64, 0x65, 0x73, 0x63, 0x72, 0x69, 0x70, 0x74, 0x6f, 0x72,
	0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x1a, 0x20, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2f, 0x70,
	0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2f, 0x64, 0x65, 0x73, 0x63, 0x72, 0x69, 0x70, 0x74,
	0x6f, 0x72, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x42, 0x40, 0x5a, 0x3e, 0x67, 0x69, 0x74, 0x68,
	0x75, 0x62, 0x2e, 0x63, 0x6f, 0x6d, 0x2f, 0x67, 0x6f, 0x6c, 0x61, 0x6e, 0x67, 0x2f, 0x70, 0x72,
	0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2f, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x63, 0x2d, 0x67, 0x65,
	0x6e, 0x2d, 0x67, 0x6f, 0x2f, 0x64, 0x65, 0x73, 0x63, 0x72, 0x69, 0x70, 0x74, 0x6f, 0x72, 0x3b,
	0x64, 0x65, 0x73, 0x63, 0x72, 0x69, 0x70, 0x74, 0x6f, 0x72, 0x50, 0x00, 0x62, 0x06, 0x70, 0x72,
	0x6f, 0x74, 0x6f, 0x32,
}

var (
	xxx_File_github_com_golang_protobuf_protoc_gen_go_descriptor_descriptor_proto_rawDesc_once sync.Once
	xxx_File_github_com_golang_protobuf_protoc_gen_go_descriptor_descriptor_proto_rawDesc_data = xxx_File_github_com_golang_protobuf_protoc_gen_go_descriptor_descriptor_proto_rawDesc
)

func xxx_File_github_com_golang_protobuf_protoc_gen_go_descriptor_descriptor_proto_rawDescGZIP() []byte {
	xxx_File_github_com_golang_protobuf_protoc_gen_go_descriptor_descriptor_proto_rawDesc_once.Do(func() {
		xxx_File_github_com_golang_protobuf_protoc_gen_go_descriptor_descriptor_proto_rawDesc_data = protoimpl.X.CompressGZIP(xxx_File_github_com_golang_protobuf_protoc_gen_go_descriptor_descriptor_proto_rawDesc_data)
	})
	return xxx_File_github_com_golang_protobuf_protoc_gen_go_descriptor_descriptor_proto_rawDesc_data
}

var xxx_File_github_com_golang_protobuf_protoc_gen_go_descriptor_descriptor_proto_goTypes = []interface{}{}
var xxx_File_github_com_golang_protobuf_protoc_gen_go_descriptor_descriptor_proto_depIdxs = []int32{}

func init() { xxx_File_github_com_golang_protobuf_protoc_gen_go_descriptor_descriptor_proto_init() }
func xxx_File_github_com_golang_protobuf_protoc_gen_go_descriptor_descriptor_proto_init() {
	if File_github_com_golang_protobuf_protoc_gen_go_descriptor_descriptor_proto != nil {
		return
	}
	File_github_com_golang_protobuf_protoc_gen_go_descriptor_descriptor_proto = protoimpl.FileBuilder{
		RawDescriptor:     xxx_File_github_com_golang_protobuf_protoc_gen_go_descriptor_descriptor_proto_rawDesc,
		GoTypes:           xxx_File_github_com_golang_protobuf_protoc_gen_go_descriptor_descriptor_proto_goTypes,
		DependencyIndexes: xxx_File_github_com_golang_protobuf_protoc_gen_go_descriptor_descriptor_proto_depIdxs,
		FilesRegistry:     protoregistry.GlobalFiles,
		TypesRegistry:     protoregistry.GlobalTypes,
	}.Init()
	xxx_File_github_com_golang_protobuf_protoc_gen_go_descriptor_descriptor_proto_rawDesc = nil
	xxx_File_github_com_golang_protobuf_protoc_gen_go_descriptor_descriptor_proto_goTypes = nil
	xxx_File_github_com_golang_protobuf_protoc_gen_go_descriptor_descriptor_proto_depIdxs = nil
}
